4.10 debian files on sourceforge broken?

classic Classic list List threaded Threaded
6 messages Options
Reply | Threaded
Open this post in threaded view
|

4.10 debian files on sourceforge broken?

Patricia J. Hawkins
Um, the debian packages available for download from sourceforge at the
moment both may be broken.  One may simply have a ged import bug
(reported against python-gramps_4.1.0_all.deb)  though I'm suspicious
that it's missing modules in the package; the other
(python3-gramps_4.1.0_all.deb) is clearly fractured.  On configuration:


Reading package lists... Done
Building dependency tree      
Reading state information... Done
python3-cairo is already the newest version.
python3-gi-cairo is already the newest version.
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
1 not fully installed or removed.
After this operation, 0 B of additional disk space will be used.
Do you want to continue? [Y/n] y
Setting up python3-gramps (4.1.0) ...
  File "/usr/lib/python3/dist-packages/gramps/plugins/rel/rel_uk.py", line 903
    print 'No more Drink!'
                         ^
SyntaxError: invalid syntax


Adding parens to the print statement let it configure...

--
Patricia J. Hawkins

------------------------------------------------------------------------------
Open source business process management suite built on Java and Eclipse
Turn processes into business applications with Bonita BPM Community Edition
Quickly connect people, data, and systems into organized workflows
Winner of BOSSIE, CODIE, OW2 and Gartner awards
http://p.sf.net/sfu/Bonitasoft
_______________________________________________
Gramps-users mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/gramps-users
Reply | Threaded
Open this post in threaded view
|

Re: 4.10 debian files on sourceforge broken?

Nick Hall
Patricia,

Thanks for letting us know.

This was reported as a bug on the bug tracker:

7828: Gramps 4.1.0 - Install fails in future Python 3 package for Debian
- Syntax Error

https://gramps-project.org/bugs/view.php?id=7828

It looks like it has been fixed in gramps41, but after the package was
built.

What import bug are you seeing with the python2 version?

Nick.


On 29/06/14 18:14, Patricia J. Hawkins wrote:

> Um, the debian packages available for download from sourceforge at the
> moment both may be broken.  One may simply have a ged import bug
> (reported against python-gramps_4.1.0_all.deb)  though I'm suspicious
> that it's missing modules in the package; the other
> (python3-gramps_4.1.0_all.deb) is clearly fractured.  On configuration:
>
>
> Reading package lists... Done
> Building dependency tree
> Reading state information... Done
> python3-cairo is already the newest version.
> python3-gi-cairo is already the newest version.
> 0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
> 1 not fully installed or removed.
> After this operation, 0 B of additional disk space will be used.
> Do you want to continue? [Y/n] y
> Setting up python3-gramps (4.1.0) ...
>    File "/usr/lib/python3/dist-packages/gramps/plugins/rel/rel_uk.py", line 903
>      print 'No more Drink!'
>                           ^
> SyntaxError: invalid syntax
>
>
> Adding parens to the print statement let it configure...


------------------------------------------------------------------------------
Open source business process management suite built on Java and Eclipse
Turn processes into business applications with Bonita BPM Community Edition
Quickly connect people, data, and systems into organized workflows
Winner of BOSSIE, CODIE, OW2 and Gartner awards
http://p.sf.net/sfu/Bonitasoft
_______________________________________________
Gramps-users mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/gramps-users
Reply | Threaded
Open this post in threaded view
|

Re: 4.10 debian files on sourceforge broken?

Patricia J. Hawkins


>>>>> "NH" == Nick Hall <[hidden email]> writes:

NH> Patricia,
NH> Thanks for letting us know.

NH> This was reported as a bug on the bug tracker:

NH> 7828: Gramps 4.1.0 - Install fails in future Python 3 package for Debian
NH> - Syntax Error

NH> https://gramps-project.org/bugs/view.php?id=7828

NH> It looks like it has been fixed in gramps41, but after the package was
NH> built.

NH> What import bug are you seeing with the python2 version?

I reported it -- it's issue # 0007866.  I can't import an Ancestry.com
ged file into a newly created database (in either the python2 or
python3 version -- see notes.)

Imported just fine in 4.04 (this AM), but I thought I'd start fresh in
4.1.0 since I hadn't done anything with it yet.

The meat of the crash report:
AttributeError: 'GedcomParser' object has no attribute 'source'
1897578: ERROR: dbloader.py: line 264: Failed to import database.

For now, am going back to 4.04, importing there, and will upgrade the db
to 4.1.0.

NH> On 29/06/14 18:14, Patricia J. Hawkins wrote:

>> Um, the debian packages available for download from sourceforge at the
>> moment both may be broken.  One may simply have a ged import bug
>> (reported against python-gramps_4.1.0_all.deb)  though I'm suspicious
>> that it's missing modules in the package; the other
>> (python3-gramps_4.1.0_all.deb) is clearly fractured.  On configuration:
>>
>>
>> Reading package lists... Done
>> Building dependency tree
>> Reading state information... Done
>> python3-cairo is already the newest version.
>> python3-gi-cairo is already the newest version.
>> 0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
>> 1 not fully installed or removed.
>> After this operation, 0 B of additional disk space will be used.
>> Do you want to continue? [Y/n] y
>> Setting up python3-gramps (4.1.0) ...
>> File "/usr/lib/python3/dist-packages/gramps/plugins/rel/rel_uk.py", line 903
>> print 'No more Drink!'
>> ^
>> SyntaxError: invalid syntax
>>
>>
>> Adding parens to the print statement let it configure...


NH> ------------------------------------------------------------------------------
NH> Open source business process management suite built on Java and Eclipse
NH> Turn processes into business applications with Bonita BPM Community Edition
NH> Quickly connect people, data, and systems into organized workflows
NH> Winner of BOSSIE, CODIE, OW2 and Gartner awards
NH> http://p.sf.net/sfu/Bonitasoft_______________________________________________
NH> Gramps-users mailing list
NH> [hidden email]
NH> https://lists.sourceforge.net/lists/listinfo/gramps-users



--
Patricia J. Hawkins

------------------------------------------------------------------------------
Open source business process management suite built on Java and Eclipse
Turn processes into business applications with Bonita BPM Community Edition
Quickly connect people, data, and systems into organized workflows
Winner of BOSSIE, CODIE, OW2 and Gartner awards
http://p.sf.net/sfu/Bonitasoft
_______________________________________________
Gramps-users mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/gramps-users
Reply | Threaded
Open this post in threaded view
|

Re: 4.10 debian files on sourceforge broken?

Patricia J. Hawkins
In reply to this post by Nick Hall
Ha, it's been assigned to me now anyway.

Guess I better ask myself if simple ged files break too... :)

>>>>> "NH" == Nick Hall <[hidden email]> writes:

NH> Patricia,

NH> Thanks for letting us know.

NH> This was reported as a bug on the bug tracker:

NH> 7828: Gramps 4.1.0 - Install fails in future Python 3 package for Debian
NH> - Syntax Error

NH> https://gramps-project.org/bugs/view.php?id=7828

NH> It looks like it has been fixed in gramps41, but after the package was
NH> built.

NH> What import bug are you seeing with the python2 version?

NH> Nick.


NH> On 29/06/14 18:14, Patricia J. Hawkins wrote:

>> Um, the debian packages available for download from sourceforge at the
>> moment both may be broken.  One may simply have a ged import bug
>> (reported against python-gramps_4.1.0_all.deb)  though I'm suspicious
>> that it's missing modules in the package; the other
>> (python3-gramps_4.1.0_all.deb) is clearly fractured.  On configuration:
>>
>>
>> Reading package lists... Done
>> Building dependency tree
>> Reading state information... Done
>> python3-cairo is already the newest version.
>> python3-gi-cairo is already the newest version.
>> 0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
>> 1 not fully installed or removed.
>> After this operation, 0 B of additional disk space will be used.
>> Do you want to continue? [Y/n] y
>> Setting up python3-gramps (4.1.0) ...
>> File "/usr/lib/python3/dist-packages/gramps/plugins/rel/rel_uk.py", line 903
>> print 'No more Drink!'
>> ^
>> SyntaxError: invalid syntax
>>
>>
>> Adding parens to the print statement let it configure...


NH> ------------------------------------------------------------------------------
NH> Open source business process management suite built on Java and Eclipse
NH> Turn processes into business applications with Bonita BPM Community Edition
NH> Quickly connect people, data, and systems into organized workflows
NH> Winner of BOSSIE, CODIE, OW2 and Gartner awards
NH> http://p.sf.net/sfu/Bonitasoft_______________________________________________
NH> Gramps-users mailing list
NH> [hidden email]
NH> https://lists.sourceforge.net/lists/listinfo/gramps-users



--
Patricia J. Hawkins

------------------------------------------------------------------------------
Open source business process management suite built on Java and Eclipse
Turn processes into business applications with Bonita BPM Community Edition
Quickly connect people, data, and systems into organized workflows
Winner of BOSSIE, CODIE, OW2 and Gartner awards
http://p.sf.net/sfu/Bonitasoft
_______________________________________________
Gramps-users mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/gramps-users
Reply | Threaded
Open this post in threaded view
|

Re: 4.10 debian files on sourceforge broken?

jerome
In reply to this post by Nick Hall
Hi,

I will try to generate an updated .deb package for python3 with last revisions during this week-end.

Jérôme

Le dim. 29 juin 2014 at 19:31, Nick Hall <[hidden email]> a écrit :
Patricia, Thanks for letting us know. This was reported as a bug on the bug tracker: 7828: Gramps 4.1.0 - Install fails in future Python 3 package for Debian - Syntax Error https://gramps-project.org/bugs/view.php?id=7828 It looks like it has been fixed in gramps41, but after the package was built. What import bug are you seeing with the python2 version? Nick. On 29/06/14 18:14, Patricia J. Hawkins wrote:
Um, the debian packages available for download from sourceforge at the moment both may be broken. One may simply have a ged import bug (reported against python-gramps_4.1.0_all.deb) though I'm suspicious that it's missing modules in the package; the other (python3-gramps_4.1.0_all.deb) is clearly fractured. On configuration: Reading package lists... Done Building dependency tree Reading state information... Done python3-cairo is already the newest version. python3-gi-cairo is already the newest version. 0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded. 1 not fully installed or removed. After this operation, 0 B of additional disk space will be used. Do you want to continue? [Y/n] y Setting up python3-gramps (4.1.0) ... File "/usr/lib/python3/dist-packages/gramps/plugins/rel/rel_uk.py", line 903 print 'No more Drink!' ^ SyntaxError: invalid syntax Adding parens to the print statement let it configure...
------------------------------------------------------------------------------ Open source business process management suite built on Java and Eclipse Turn processes into business applications with Bonita BPM Community Edition Quickly connect people, data, and systems into organized workflows Winner of BOSSIE, CODIE, OW2 and Gartner awards http://p.sf.net/sfu/Bonitasoft _______________________________________________ Gramps-users mailing list [hidden email] https://lists.sourceforge.net/lists/listinfo/gramps-users

------------------------------------------------------------------------------
Open source business process management suite built on Java and Eclipse
Turn processes into business applications with Bonita BPM Community Edition
Quickly connect people, data, and systems into organized workflows
Winner of BOSSIE, CODIE, OW2 and Gartner awards
http://p.sf.net/sfu/Bonitasoft
_______________________________________________
Gramps-users mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/gramps-users
Reply | Threaded
Open this post in threaded view
|

Re: 4.10 debian files on sourceforge broken?

jerome
In reply to this post by Nick Hall
Patricia,

Does it sound better with the package hosted under the UNSTABLE section?

http://sourceforge.net/projects/gramps/files/Unstable/


Jérôme.

Le dim. 29 juin 2014 at 19:31, Nick Hall <[hidden email]> a
écrit :

> Patricia,
>
> Thanks for letting us know.
>
> This was reported as a bug on the bug tracker:
>
> 7828: Gramps 4.1.0 - Install fails in future Python 3 package for
> Debian
> - Syntax Error
>
> https://gramps-project.org/bugs/view.php?id=7828
>
> It looks like it has been fixed in gramps41, but after the package
> was
> built.
>
> What import bug are you seeing with the python2 version?
>
> Nick.
>
>
> On 29/06/14 18:14, Patricia J. Hawkins wrote:
>>  Um, the debian packages available for download from sourceforge at
>> the
>>  moment both may be broken.  One may simply have a ged import bug
>>  (reported against python-gramps_4.1.0_all.deb)  though I'm
>> suspicious
>>  that it's missing modules in the package; the other
>>  (python3-gramps_4.1.0_all.deb) is clearly fractured.  On
>> configuration:
>>
>>
>>  Reading package lists... Done
>>  Building dependency tree
>>  Reading state information... Done
>>  python3-cairo is already the newest version.
>>  python3-gi-cairo is already the newest version.
>>  0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
>>  1 not fully installed or removed.
>>  After this operation, 0 B of additional disk space will be used.
>>  Do you want to continue? [Y/n] y
>>  Setting up python3-gramps (4.1.0) ...
>>     File
>> "/usr/lib/python3/dist-packages/gramps/plugins/rel/rel_uk.py", line
>> 903
>>       print 'No more Drink!'
>>                            ^
>>  SyntaxError: invalid syntax
>>
>>
>>  Adding parens to the print statement let it configure...
>>
>
> ------------------------------------------------------------------------------
> Open source business process management suite built on Java and
> Eclipse
> Turn processes into business applications with Bonita BPM Community
> Edition
> Quickly connect people, data, and systems into organized workflows
> Winner of BOSSIE, CODIE, OW2 and Gartner awards
> http://p.sf.net/sfu/Bonitasoft
> _______________________________________________
> Gramps-users mailing list
> [hidden email]
> https://lists.sourceforge.net/lists/listinfo/gramps-users
>


------------------------------------------------------------------------------
Open source business process management suite built on Java and Eclipse
Turn processes into business applications with Bonita BPM Community Edition
Quickly connect people, data, and systems into organized workflows
Winner of BOSSIE, CODIE, OW2 and Gartner awards
http://p.sf.net/sfu/Bonitasoft
_______________________________________________
Gramps-users mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/gramps-users